=== debian/changelog ===
ros-ardent-orocos-kdl (1.4.0-7xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Ruben Smits <ruben@intermodalics.eu>  Sat, 09 Dec 2017 06:43:21 -0000
